# Get Endpoint - GetTimeTriggers

Returns list of all time triggers.

# HTTP Request

One of the following requests should be made:

GET /odata/timetrigger
GET /odata/timetrigger/$count

The endpoint supports the following OData query parameters: $select, $expand

# Query parameters

Name Description
repository optional. Destination repository key.

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization

# Responses

Code Description Type
200 If the load of time triggers was successful. array TimeTriggerEntity
500 When an server error occurs during the load of time triggers.

# Example

# Request

The following is an example of how to call the endpoint:

GET /odata/timetrigger?repository=repo1

# Response

The following example shows the response:

Information

The response object is truncated for clarity. Default properties will be returned from the call.

{
  "value": [
    {
      "triggerId": 123,
      "isActive": false,
      "cronJobFormatValue": "..."
    },
    {
      "triggerId": 125,
      "isActive": true,
      "cronJobFormatValue": "..."
    }
  ],
  "@odata.nextLink": "..."
}
Zuletzt aktualisiert: 7. Februar 2025 um 08:35